% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/F0008.R
\name{norm.data}
\alias{norm.data}
\title{Normalize data}
\usage{
norm.data(
  x = NULL,
  norm.method = "ranked.glsf",
  top.rank = 500,
  spike.in.factors = NULL,
  rpm.factor = 1000,
  rounding.digits = 3,
  round.num = TRUE,
  ATAC.data = FALSE,
  ATAC.filter = TRUE
)
}
\arguments{
\item{x}{An object of class iCellR.}

\item{norm.method}{Choose a normalization method, there are three option currently.
Choose from "global.glsf", "ranked.glsf","spike.in" or no.norm, default = "ranked.glsf".}

\item{top.rank}{If the method is set to "ranked.glsf", you need to set top number of genes sorted based on global base mean, default = 500.}

\item{spike.in.factors}{A numeric vector of spike-in values with the same cell id order as the main data.}

\item{rpm.factor}{If the norm.method is set to "rpm" the library sizes would be divided by this number, default = 1000 (higher numbers recomanded for bulk RNA-Seq).}

\item{rounding.digits}{integer indicating the number of decimal places (round) or significant digits (signif) to be used.}

\item{round.num}{Rounding of Numbers, default = FALSE.}

\item{ATAC.data}{If TURE, it would normalize ATAC-Seq data and not RNA-Seq, default = FALSE.}

\item{ATAC.filter}{If TURE, all the cells filtered in RNA-Seq will be filtered in ATAC-Seq. This needs to be done for both data to match,  default = TRUE.}
}
\value{
An object of class iCellR.
}
\description{
This function takes an object of class iCellR and normalized the data based on "global.glsf", "ranked.glsf" or "spike.in" methods.
}
